#castle basement message #1
from eventAPI import *
from APIUtils import *

rtcastle0North = 0

def fireEvent(e):
   rtcastle0North = getTag(e, "rtcastle0North")
   if (rtcastle0North == 1):
      return 1
   else:
      showPicture(e, "Blue_Vortex")
      showMessage(e, ["You passage is blocked by a strange barrier.", "", "A bodiless voice speaks to you."])
      showMessage(e, ["A man from the north once encountered a dying minstrel.", "", "Though he could present no cure, he could comfort the minstrel with a fire and food.  Feeling content the minstrel spoke.", "", "\"My good sir,  would that you can answer my riddle I will leave to you all that I have.\"", "", "\"If life is 32 and death is 38 then what shall be love?\""])
      showMessage(e, ["The value of love will grant you passage."])
   return 0